Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80709 - HTB packet scheduler works incorectly with HZ other than 100 or 1024
Summary: HTB packet scheduler works incorectly with HZ other than 100 or 1024
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-30 07:48 UTC by Mindaugas Riauba
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-07 19:40:02 UTC


Attachments (Terms of Use)

Description Mindaugas Riauba 2002-12-30 07:48:58 UTC
Description of problem:
HTB packet scheduler works not correctly when HZ is other than 100
or 1024. RedHat's default is 512. And problem appears only with
UDP traffic. TCP is shaped OK.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-18.7.x

How reproducible:
100%

Steps to Reproduce:
1. Setup traffic shaping with HTB class.
2. Flood link with UDP traffic.
    
Actual results:
Traffic exceeds set limit or even is not shaped at all.

Expected results:
Shaped traffic.

Additional info:
At least in include/net/pkt_sched.h there is the following code:

#if HZ == 100
#define PSCHED_JSCALE 13
#elif HZ == 1024
#define PSCHED_JSCALE 10
#else
#define PSCHED_JSCALE 0
#endif

Comment 1 Arjan van de Ven 2003-06-07 19:40:02 UTC
ought to be fixed in current erratum


Note You need to log in before you can comment on or make changes to this bug.